Scilab Function

determ - determinant of polynomial matrix

### Calling Sequence

  `res=determ(W [,k])`

### Parameters

- `W` : real square polynomial matrix
- `k` : integer (upper bound for the degree of the determinant of W)

### Description

returns the determinant of a real polynomial matrix (computation made by FFT).

`k` is an integer larger than the actual degree of the determinant of `W`.

The default value of `k` is the smallest power of 2 which is larger than `n*maxi(degree(W))`.

Method: evaluate the determinant of `W` for the Fourier frequencies and apply inverse FFT to the coefficients of the determinant.

### Examples

    s=poly(0,'s');
    w=s*rand(10,10);
    determ(w)
    det(coeff(w,1))*s^10

### See Also

`det` `detr` `coffg`

### Author

F.D.